diff -udNr xdvik//READMEs/HEADERS.DOC pxdvik//READMEs/HEADERS.DOC
--- xdvik//READMEs/HEADERS.DOC	1970-01-01 09:00:00.000000000 +0900
+++ pxdvik//READMEs/HEADERS.DOC	2010-07-25 14:56:37.610075276 +0900
@@ -0,0 +1,170 @@
+Path: tkyex1.phys.s.u-tokyo.ac.jp!news.u-tokyo.ac.jp!eccnews!ecc-s401!s31514
+From: s31514@secc.ecc.u-tokyo.ac.jp (s31514)
+Newsgroups: fj.comp.texhax
+Subject: a patch of xdvi PL18 for ASCII Nihongo TeX and VFlib 2.x
+Message-ID: <S31514.95Mar1175527@ecc-1000.ecc.u-tokyo.ac.jp>
+Date: 1 Mar 95 08:55:27 GMT
+Sender: news@secc.ecc.u-tokyo.ac.jp
+Distribution: fj
+Organization: Educational Computer Centre, The Univ. of Tokyo
+Lines: 354
+Nntp-Posting-Host: ecc-1000
+
+岡川＠東京大学です。
+
+今朝は外が雪で、外に出るのがおっくうだったので、
+xdvi-17miyu.patch.beta6 の ASCII日本語TeX対応 + VFlib 対応部分を
+xdvi PL18 に対応させたものを作成しました。(勿論、VFlib 2.x 対応に
+してあります。)
+
+簡単なテストをしただけですが、(ASCII日本語TeX, NTT JTeX) で作成したdvi
+を、(DNPフォント, VFlib)で表示する事に全ての組み合わせ(NTT JTeX+VFlib,
+etc.) で成功しました。
+
+
+
+インストールに関する memo
+=========================
+・VFlib 2.15.2 以降が必要です。(私は VFlib 2.16.2 を使用しました。)
+・patchして、Imakefile を環境にあわせて変更し、xmkmf, make するだけです。
+・コンパイル時に通ってしまったので、下記のパッチには含まれていませんが、
+  zeit.c に #include "VF.h" を加えて、VFlib の VF.h を読み込まないと
+  コンパイルできない場合があり得ます。
+・porting & test は Linux 1.1.84 + gcc 2.5.8 で行いました。
+  Linux + gcc 2.6.x では xdvi PL17+miyu.patch+VFlib 2.x はうまくコンパ
+  イルできない事が報告されておりますし、このパッチを当てた xdvi PL18 も
+  同様でした。(dvi_draw.cがうまくコンパイルできていないらしい)
+
+＃「おっくう」と言いつつ、postする為に学校に来てしまいました。(^^;
+=======================================================================
+                                    岡川 宏＠東京大学理学部物理学科４年
+                      okagawa3%tkyvax.decnet@tkyux.phys.s.u-tokyo.ac.jp
+                                                        (1995年3月まで)
+                       okagawa%tkyvax.decnet@tkyux.phys.s.u-tokyo.ac.jp
+                                                        (1995年4月より)
+=======================================================================
+
+Newsgroups: fj.comp.texhax
+Path: tkyex1.phys.s.u-tokyo.ac.jp!news.u-tokyo.ac.jp!wnoc-tyo-news!wnoc-sfc-news!wnoc-kyo-news!aist-nara!odins-suita!icluna!uchiyama
+From: uchiyama@bacchus.in.kobe-u.ac.jp (Takanori Uchiyama)
+Subject: Re: a patch of xdvi PL18 for ASCII Nihongo TeX and VFlib 2.x
+Sender: news@icluna.kobe-u.ac.jp (news-admin)
+Message-ID: <UCHIYAMA.95Mar13185933@in5at3.bacchus.in.kobe-u.ac.jp>
+In-Reply-To: miyu@shiratori.riec.tohoku.ac.jp's message of 13 Mar 1995 05:46:33 GMT
+Date: Mon, 13 Mar 1995 09:59:33 GMT
+Distribution: fj
+References: <S31514.95Mar1175527@ecc-1000.ecc.u-tokyo.ac.jp>
+	<UCHIYAMA.95Mar10222526@in5at3.bacchus.in.kobe-u.ac.jp>
+	<MIYU.95Mar13144633@pigeon.shiratori.riec.tohoku.ac.jp>
+Organization: Akazawa Lab. Dept. Comp. & Systems, Fac. Eng., Kobe Univ., Kobe,
+	JAPAN
+Lines: 3813
+
+内山＠神戸大です.
+
+先日, ポストした epsbox.sty を使って差し込んだ EPS を表示するパッチで
+すが, 投稿前に余計なことをしたばかりに, エンバグしてしてしまいました.
+dvi2ps-j に含まれている epsf.sty を使って差し込んだ EPS を表示するパッ
+チを付加したので, 欲張って vi ライクなキーバインド VI_KEY, DVI ファイ
+ルをメニュー形式で選択する SELFILE のパッチも付加しました. 
+
+オリジナルの xdvi PL18 のソースに, 岡川さんのパッチをあてた後に, 以下
+のパッチをあててください. 先日の epsbox.sty のためのパッチは, あてない
+でください.
+
+Imakefile に VI_KEY, SELFILE を指定しています. 適宜はずなり残すなりし
+て下さい. 
+
+それから, PL18 からは, リーソスを読むようになっています. 
+私は	
+/usr/X11/lib/X11/app-defaults/XDvi に
+XDvi.shrinkFactor: 5
+XDvi.postscript: off
+などのように記述しておきました. 前者は, shrink size を 5 に(400dpi の
+フォントを使っている場合に, 1280x1024 で A4 が画面におさまる), 後者は,
+起動時には EPS や PS の表示を行なわない指定です.
+
+それから, X server が 16bpp の時にとんでもない量のメモリを要求した件は,
+なぜか発生しなくなってしまいました. きっと私がぼけていたのでしょう.
+
+In article <MIYU.95Mar13144633@pigeon.shiratori.riec.tohoku.ac.jp> miyu@shiratori.riec.tohoku.ac.jp (Shigeki "miyu" SUGIURA) writes:
+
+   miyu17beta.6 は少なくともバグありです。多分それが原因でしょう。
+   miyu17beta.pre7 用のパッチが出ています。
+
+もう一度 beta.pre7 で試してみます. どうもありがとうございます.
+
+Newsgroups: fj.comp.texhax
+Path: tkyex1.phys.s.u-tokyo.ac.jp!news.u-tokyo.ac.jp!wnoc-tyo-news!aist-nara!odins-suita!icluna!uchiyama
+From: uchiyama@bacchus.in.kobe-u.ac.jp (Takanori Uchiyama)
+Subject: Re: a patch of xdvi PL18 for ASCII Nihongo TeX and VFlib 2.x
+Sender: news@icluna.kobe-u.ac.jp (news-admin)
+Message-ID: <UCHIYAMA.95Mar27154143@in5at3.bacchus.in.kobe-u.ac.jp>
+In-Reply-To: uchiyama@bacchus.in.kobe-u.ac.jp's message of Thu, 23 Mar 1995 08:46:43 GMT
+Date: Mon, 27 Mar 1995 06:41:43 GMT
+Distribution: fj
+References: <S31514.95Mar1175527@ecc-1000.ecc.u-tokyo.ac.jp>
+	<UCHIYAMA.95Mar10222526@in5at3.bacchus.in.kobe-u.ac.jp>
+	<MIYU.95Mar13144633@pigeon.shiratori.riec.tohoku.ac.jp>
+	<UCHIYAMA.95Mar13185933@in5at3.bacchus.in.kobe-u.ac.jp>
+	<UCHIYAMA.95Mar13221522@in5at3.bacchus.in.kobe-u.ac.jp>
+	<UCHIYAMA.95Mar14102353@in5at3.bacchus.in.kobe-u.ac.jp>
+	<UCHIYAMA.95Mar14134016@in5at3.bacchus.in.kobe-u.ac.jp>
+	<G3P012.95Mar23152316@aqua3a.cfi.waseda.ac.jp>
+	<UCHIYAMA.95Mar23174643@in5at3.bacchus.in.kobe-u.ac.jp>
+Organization: Akazawa Lab. Dept. Comp. & Systems, Fac. Eng., Kobe Univ., Kobe,
+	JAPAN
+Lines: 2567
+
+内山＠神戸大です.
+
+In article <UCHIYAMA.95Mar23174643@in5at3.bacchus.in.kobe-u.ac.jp> uchiyama@bacchus.in.kobe-u.ac.jp (Takanori Uchiyama) writes:
+
+   先日, xdvipl18_epsbox+elepsf+selfile+vikey.patch をポストした後,
+   markpage+toc+printdvi を追加するパッチをメールで送っていただいたので, 
+   それもあてて今は使っています(640x480 でもボタンが画面からはみだすこと
+   がないようにするパッチも含まれています). 
+
+上記のパッチを欲しいという方からメールをいただきましたので, パッチを送っ
+ていただきました古畑＠IBM基礎研さんの御許可の下, 代理投稿いたします.
+
+Newsgroups: comp.text.tex
+Path: tkyex1.phys.s.u-tokyo.ac.jp!news.u-tokyo.ac.jp!newssinet!daffy!uwvax!zebu.heurikon.com!news.sprintlink.net!howland.reston.ans.net!math.ohio-state.edu!scipio.cyberstore.ca!vanbc.wimsey.com!news.bc.net!newsserver.sfu.ca!fornax!botein.cs.sfu.ca!patrice
+From: patrice@botein.cs.sfu.ca (& Belleville)
+Subject: Re: latex2e psTricks and xdvi
+In-Reply-To: ram@cs.arizona.edu's message of 02 Apr 1995 02:05:18 GMT
+Message-ID: <PATRICE.95Apr5095907@botein.cs.sfu.ca>
+Sender: patrice@cs.sfu.ca (Patrice Belleville)
+Organization: Simon Fraser University
+References: <RAM.95Apr1190518@baskerville.cs.arizona.edu>
+Date: 05 Apr 1995 16:59:07 GMT
+Lines: 329
+
+In article <RAM.95Apr1190518@baskerville.cs.arizona.edu> ram@cs.arizona.edu (Achyutram Bhamidipaty) writes:
+
+ > I'm using the  very useful psTricks set  of macros by Timothy Van Zandt
+ > and I'm running into an annoyance.
+ > 
+ > When I use some of the special macros I can  no longer use xdvi to view
+ > my files. Is there something I need  to do to make  this work? Or is it
+ > an impossibility? Thanks for any clues or hints.
+
+	The  problem is  that pstricks requires   a PS header  file  to be
+loaded. It is normally  included at the  beginning  of your .ps file,  and
+contains  code required  used  later on by PStricks.   Since xdvi does not
+support the  "header=" special, it does not  load this file and  hence the
+bits of postscript included by PStricks fail.
+
+	I modified  the latest version   of xdvi to handle  the  "header="
+special. HOWEVER my changes only work  with gs at  the moment (if you want
+to use DPS or News, you would need to adapt  the changes I made to psgs.c,
+which  simply consist  of  detecting  when the  PostScript interpreter  is
+initialized and calling psh_includeall). I have included the context diffs
+below. You will need to apply them and recompile xdvi.
+
+Disclaimer:  these  changes seem to  work   for me.  Xdvi  might still get
+confused at times, but I believe that this is not caused  by the changes I
+made.
+
+							Good luck,
+								   Patrice
diff -udNr xdvik//READMEs/InternalVars pxdvik//READMEs/InternalVars
--- xdvik//READMEs/InternalVars	1970-01-01 09:00:00.000000000 +0900
+++ pxdvik//READMEs/InternalVars	2010-07-25 14:56:37.610075276 +0900
@@ -0,0 +1,56 @@
+------------------------------------------------------------------------
+            <<<< Internal Variable for printdvi patch >>>>
+------------------------------------------------------------------------
+
+%A : like %T; '=' is put on each page number (assumed dviselect)
+%a : like %t; '=' is put on each page number (assumed dviselect)
+ B
+ b
+ C
+%c : current page number
+%D : temporal directory (environment var. TMPDIR; default is "/tmp")
+%d : directory where DVI file is placed (directory of pathname)
+ E
+%e : end page number of region; maximum of %c and %m
+%F : filename of DVI file (basename of pathname)
+%f : filename of DVI file (full pathname)
+%G : like %O; page-to-page form (=p1:p2) (assumed dviselect)
+%g : like %o; page-to-page form (=p1:p2) (assumed dviselect)
+ H
+ h
+ I
+ i
+ J
+ j
+%K : like %L; '=' is put on each page number (assumed dviselect)
+%k : like %l; '=' is put on each page number (assumed dviselect)
+%L : marked page list; marked order; separated by " "
+%l : marked page list; marked order; separated by ","
+ M
+%m : last marked page number
+ N
+ n
+%O : marked page list; sorted; page-to-page form (p1-p2); separated by " "
+%o : marked page list; sorted; page-to-page form (p1-p2); separated by ","
+%P : print command (environment var. PRINTCMD; default is "lpr -r -s -P%p")
+%p : printer name (environment var. PRINTER; default is "lp")
+ Q
+ q
+%R : DVI filter (environment var. DVIFILTER; default is "dvi2ps -o %Z")
+%r : proces id
+ S
+%s : start page number of region; minimum of %c and %m
+%T : marked page list; sorted; separated by " "
+%t : marked page list; sorted; separated by ","
+ U
+ u
+ V
+ v
+ W
+ w
+ X
+ x
+ Y
+ y
+%Z : paper size specified with -paper option (tranlated with table)
+%z : paper size specified with -paper option (lower case; ex. "a4")
diff -udNr xdvik//READMEs/README.jp+toc+hal2 pxdvik//READMEs/README.jp+toc+hal2
--- xdvik//READMEs/README.jp+toc+hal2	1970-01-01 09:00:00.000000000 +0900
+++ pxdvik//READMEs/README.jp+toc+hal2	2010-07-25 14:56:37.610075276 +0900
@@ -0,0 +1,57 @@
+やーどうもどうも。このパッチは xdvi-17 にあてるパッチでっす(ver1.2)。
+
+[ver1.1]
+○竹中@東大さんの xdvi-17jp.960209 
+  と
+○小野@早稲田大さんの xdvi-17+markpage+toc+printdvi+paper (+patch1)
+  を含み、更に +α したパッチでっす。
+
+  どこが +α かというと、前々から button 周りが気に入らなかったので、
+
+○"shrink1" とかのボタンをなくし、xv とか他のツールでもよく使われている、
+  "<"で縮小、">"で拡大 の機能をつけ、button 部もそれに対応させた
+
+  と、ちょっといぢってたんです。ただこの "<" ">" は、+markpage… パッチで、
+  toc 部で page ジャンプ(文章頭へ/文章末へ)に使われていたので、
+  今回、toc 部での page ジャンプは、文章頭="T"(Top)/文章末="B"(Bottom)に
+  変更させて頂いたですます。
+
+  あとさらに、画面の小さいノートパソコンで xdvi を使うと、折角の button が
+  画面下に切れて使えねー(苦笑)ってことがあるので、問題なく使えるように、
+  button を小さくなるように書き換えていたんですが、今回、
+
+○古畑@ＩＢＭ基礎研さん
+
+  が xdvi-18 でやっておられるのを参考にして、Imakefile で #define SMALL_PANEL
+  すると、button+toc んとこが小さくなる様に書き換えたでっす。
+
+○toc部のページ数表記、tasai-ussy パッチを使うと実ページ数になるけど、
+  表記時、最初のページ番号と最後のページ番号を取ってきて、桁数見て
+  出力format作ってるんで、ページ番号がバラバラな .dvi なら、途中にいくら
+  100000p とかあっても、最後のページが 2p とかなら、1桁でしか出力されない。
+  そこんとこを直した。
+
+さらに、変数の定義とかの細かい部分をちょいと直して、またオリジナルの現行の
+xdvi-21を参考にして、多少の修正を加えたものなのねん。本当は全面的に xdvi-21
+化しようかと思ったけど、どーも暑くて集中力がなくて…(苦笑)。
+一応 FreeBSD-2.1.5 の ports を参考にしてますが、FreeBSD でちゃんと通るか
+どうかは一抹の不安…。前に作ってた version は変なところで compile がコケて
+たもので(苦笑)。さ、今晩帰って確かめようっと。
+Solaris2.3(gcc)/HPUX-9.07(gcc。ccはX関連でmake出来ん)では通るのは
+確認してますです。あ、Imakefile はうちの環境に合わせてあるので、
+各自、修正してちょ。
+
+あとは xdvi-21から、\special コマンドに対応するルーチン(special.c)を
+組み込むくらいかな…って面倒だなぁ(苦笑)。
+
+[ver1.2]
+ってことで FreeBSD 対応にしてみました。…って何も変わりはないかも(苦笑)。
+一応、FreeBSD-2.2.2-RELEASE(+PAO-970616) で確かめてます。
+/usr/include/* と package で install した /usr/X11R6/include と conflict
+する typedef とかあるです。と、PRINTDVI は使わない方がいいかも知れません
+です。dvi2ps とかの設定も必要だし、含めると make depend でエラーったり、
+いろいろ文句いわれるし(苦笑)。
+えと、うちの環境は、600dpi で、platex-2e(2.09互換)で使ってます。
+TEXLIB とか tfm(jfm)の PATH とかいろいろ変えてちょ。
+
+/* はやし はるひさ hayashi@himeji-tech.ac.jp 08Aug97 */
